Priority: Low   
Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  
Pull request:    

Description

Description of problem:

In "product" CLI currently is is possible to update "description", but it is not possible to view it.

It needs to add "description" field in output of "product status" CLI command.

This is the only command which shows info about product.

This is still busted.

[root@sat6 checks]# hammer v --username admin --password changeme product list --organization-label "DemoOrg"

--|--------------------------------|------------------|--------------|-----------

ID | NAME                           | ORGANIZATION     | REPOSITORIES | SYNC STATE

---|--------------------------------|------------------|--------------|-----------

10 | BK Product of Fun              | Anakin Skywalker | 0            | not_synced

1  | Red Hat Satellite Tools 6 Beta | Anakin Skywalker | 0            | not_synced

---|--------------------------------|------------------|--------------|-----------

[root@sat6 checks]# hammer -v --username admin --password changeme product info --organization-label "DemoOrg" --id 10

ID:           10

Name:         BK Product of Fun

Label:        BK_Product_of_Fun

Description:

Sync State:   not_synced

Sync Plan ID:

GPG:

GPG Key ID:

GPG Key:

Organization: Anakin Skywalker

Readonly:     false

Deletable:    true

Content:

1) Repo Name:

URL:

[root@sat6 checks]#

Associated revisions

Revision b530287d - 06/23/2014 05:08 PM - dustin tsang

Fixes #6345 - add description to list product cmd

This adds the description field to the product's list subcommand.

Revision 89a35a0f - 06/25/2014 05:07 PM - dustin tsang

Merge pull request #196 from dustint-rh/product_view_description

Fixes #6345 - add description to list product cmd
History

#1 - 06/23/2014 05:12 PM - dustin tsang

https://github.com/Katello/hammer-cli-katello/pull/196

#2 - 06/23/2014 05:32 PM - dustin tsang

- Status changed from Assigned to Closed

#3 - 06/24/2014 12:35 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 08:58 AM - Eric Helms

- translation missing: en.field_release set to 13
